%define upstream_name	 Time-Piece
%define upstream_version 1.34

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Object Oriented time objects
License:    GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Time/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl-devel
%description
This module replaces the standard localtime and gmtime functions with
implementations that return objects. It does so in a backwards compatible
manner, so that using localtime/gmtime in the way documented in perlfunc will
still return what you expect.

The module actually implements most of an interface described by Larry Wall on
the perl5-porters mailing list here:
http://www.xray.mpe.mpg.de/mailing-lists/perl5-porters/2000-01/msg00241.html

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
export LC_ALL=C LANG=C LC_MESSAGES=C
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README TODO
%{perl_vendorarch}/Time
%{perl_vendorarch}/auto/Time
%{_mandir}/*/*


%changelog
* Wed Nov 29 2023 tv <tv> 1.340.0-6.mga10
+ Revision: 2011277
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 1.340.0-5.mga9
+ Revision: 1862525
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 1.340.0-4.mga9
+ Revision: 1796134
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 1.340.0-3.mga9
+ Revision: 1727156
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 1.340.0-2.mga8
+ Revision: 1595285
- Rebuild for perl 5.32

* Sat Feb 29 2020 tv <tv> 1.340.0-1.mga8
+ Revision: 1552099
- update to 1.34
- workaround failing testsuite by forcing "C" locale

* Sun Feb 16 2020 umeabot <umeabot> 1.330.0-4.mga8
+ Revision: 1530135
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 1.330.0-3.mga8
+ Revision: 1433925
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 1.330.0-2.mga7
+ Revision: 1293890
- Mageia 7 Mass Rebuild

* Sat Aug 25 2018 shlomif <shlomif> 1.330.0-1.mga7
+ Revision: 1254049
- update to 1.33

* Wed Aug 08 2018 pterjan <pterjan> 1.320.400-2.mga7
+ Revision: 1249309
- Rebuild for perl 5.28

* Sun Feb 25 2018 shlomif <shlomif> 1.320.400-1.mga7
+ Revision: 1205013
- update to 1.3204

* Tue Dec 26 2017 shlomif <shlomif> 1.320.300-1.mga7
+ Revision: 1185336
- update to 1.3203

* Tue Oct 03 2017 tv <tv> 1.320.200-2.mga7
+ Revision: 1167175
- rebuild with fixed rpm for missing autodeps

* Tue Sep 19 2017 tv <tv> 1.320.200-1.mga7
+ Revision: 1155878
- update to 1.3202

* Thu Aug 31 2017 pterjan <pterjan> 1.310.0-4.mga7
+ Revision: 1149363
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 1.310.0-3.mga7
+ Revision: 1127334
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 1.310.0-2.mga6
+ Revision: 1035324
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 1.310.0-1.mga6
+ Revision: 1002327
- update to 1.31

* Fri Feb 12 2016 umeabot <umeabot> 1.300.0-3.mga6
+ Revision: 958137
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 1.300.0-2.mga6
+ Revision: 845378
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 1.300.0-1.mga6
+ Revision: 841402
- update to 1.30

* Wed Oct 15 2014 umeabot <umeabot> 1.290.0-3.mga5
+ Revision: 747837
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.290.0-2.mga5
+ Revision: 686705
- Mageia 5 Mass Rebuild

* Tue Sep 02 2014 sander85 <sander85> 1.290.0-1.mga5
+ Revision: 670897
- update to 1.29

* Tue Jun 03 2014 pterjan <pterjan> 1.270.0-2.mga5
+ Revision: 631817
- Rebuild for perl 5.20

* Sun Feb 09 2014 sander85 <sander85> 1.270.0-1.mga5
+ Revision: 587345
- update to 1.27

* Sat Oct 19 2013 umeabot <umeabot> 1.230.0-2.mga4
+ Revision: 534075
- Mageia 4 Mass Rebuild

* Sun Sep 08 2013 sander85 <sander85> 1.230.0-1.mga4
+ Revision: 476239
- update to 1.23

* Mon Aug 12 2013 sander85 <sander85> 1.220.0-1.mga4
+ Revision: 465929
- update to 1.22

* Wed May 29 2013 jquelin <jquelin> 1.200.0-8.mga4
+ Revision: 431824
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.200.0-7.mga3
+ Revision: 374357
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.200.0-6.mga3
+ Revision: 251262
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 1.200.0-5.mga2
+ Revision: 105060
- Rebuild for perl 5.14

* Tue Jan 18 2011 blino <blino> 1.200.0-4.mga1
+ Revision: 23273
- rebuild for new perl
+ jquelin <jquelin>
- imported package perl-Time-Piece

